## Create pipeline style project

Description: Create a pipeline job which can run a specified groovy script at a particular time

Example

    builder.pipeline 'Schedule-sample-pipeline' do
        schedule '0 15 * * *'
        groovy <<EOS

    def date = new Date()
    def release = date.format('yyyy.MM.dd')
    def releaseManifest = release + ".0400"
    println releaseManifest

    build job: 'CreateRelease-gen3', 
        parameters: [
                string(name: 'OctopusServer', value: 'https://OctopusServerSomewhere.com'), 
                string(name: 'OctopusKey', value: 'An API Key'), 
                string(name: 'DeploySpecificPackages', value: 'false'), 
                string(name: 'ReleaseNumber', value: '63'), 
                string(name: 'ReleaseManifest', value: releaseManifest), 
                string(name: 'Channel', value: 'Release Channel')]
    EOS

    end