require_relative './test_xml_generator'

class TestHipchatNotifications < Test::Unit::TestCase
  def test_hipchat_notifications
    builder = JenkinsJob::Builder.new

    builder.freestyle 'foo' do
      postbuild do
        hipchat_notifications do
          token 'some token'
          room 'room1'
          notify_start true
          notify_success true
          notify_aborted true
          notify_not_built true
          notify_unstable true
          notify_failure true
          notify_back_to_normal true
          start_message 'start message'
          complete_message 'complete message'
        end
      end
    end

    actual = builder.config_as_xml_node('foo')

    assert_equal 'some token', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/token').text
    assert_equal 'room1', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/room').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/startNotification').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/notifyAborted').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/notifyFailure').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/notifyNotBuilt').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/notifySuccess').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/notifyUnstable').text
    assert_equal 'true', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/notifyBackToNormal').text
    assert_equal 'start message', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/startJobMessage').text
    assert_equal 'complete message', actual.xpath('./project/publishers/jenkins.plugins.hipchat.HipChatNotifier/completeJobMessage').text
  end
end
